All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
PrivateDataRefHolder< T > Class Template Reference

convenience class for holding AbstractPrivateData references More...

`#include <QoreObject.h>`

Inheritance diagram for PrivateDataRefHolder< T >:
[legend]
Collaboration diagram for PrivateDataRefHolder< T >:
[legend]

## Additional Inherited Members

Public Member Functions inherited from ReferenceHolder< T >
DLLLOCAL | ReferenceHolder (ExceptionSink *xsink_)
| creates an empty ReferenceHolder
DLLLOCAL | ReferenceHolder (T *p_, ExceptionSink *xsink_)
| populates with object with data and the ExceptionSink pointer
DLLLOCAL | ~ReferenceHolder ()
| calls deref(ExceptionSink *) on the pointer being managed if not 0
DLLLOCAL T ** | getPtrPtr ()
| returns a pointer to the pointer being managed
DLLLOCAL T *& | getRef ()
| returns a reference to the ptr being managed
DLLLOCAL | operator bool () const
| returns true if a non-0 pointer is being managed
DLLLOCAL T * | operator* ()
| returns the pointer being managed
DLLLOCAL const T * | operator* () const
| returns the pointer being managed
DLLLOCAL T * | operator-> ()
| returns the pointer being managed
DLLLOCAL const T * | operator-> () const
| returns the pointer being managed
DLLLOCAL void | operator= (T *nv)
| assigns a new pointer to the holder, dereferences the current pointer if any
DLLLOCAL T * | release ()
| releases the pointer to the caller

## Detailed Description

### template<class T>
class PrivateDataRefHolder< T >

convenience class for holding AbstractPrivateData references

The documentation for this class was generated from the following file:

- include/qore/QoreObject.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)